unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ToolWin;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private-Deklarationen }
  public
    procedure ShowButtonCaption(Sender: TObject);
  end;

var
  Form1: TForm1;
  MyRichedit: TRichedit;
  MyToolbar: TToolbar;

implementation

{$R *.DFM}

procedure TForm1.ShowButtonCaption(Sender: TObject);
var ButtonCaption: String;
begin
  if Sender is TToolButton then begin
     ButtonCaption := TToolbutton(Sender).Caption;
     buttonCaption := (Sender as TToolbutton).Caption; // Diese Funktioniert genau so wie die obigere Zeile
     MyRichedit.lines.add(ButtonCaption);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var MyToolbutton: TToolbutton;
    i: integer;
begin
  MyRichedit := TRichedit.Create(self);
  MyToolbar := TToolbar.Create(self);

  MyRichedit.Parent := Form1;
  MyToolbar.Parent := Form1;

  MyRichedit.Show;
  MyToolbar.Show;

  MyRichedit.Align := AlClient;

  MyRichedit.Font.Color := clRed;
  MyRichedit.Color := clLtGray;

  MyRichedit.Lines.Add('text');

  MyToolbar.ShowCaptions := true;
  for i := 0 to 9 do begin
      MyToolbutton := TToolbutton.Create(self);
      MyToolbutton.Caption := 'B'+inttostr(i+1);
      MyToolbutton.Parent := MyToolbar;
      MyToolbutton.OnClick := ShowButtonCaption;
      MyToolbutton.show;
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MyToolbar.Free;
  MyRichedit.Free;
end;

end.
